.slidemein {
  animation-duration: 3s;
  animation-name    : slidein;
}

@keyframes slidein {
  from {
    margin-left: 100%;
    width      : 300%;
  }

  to {
    margin-left: 0%;
    width      : 100%;
  }
}



.slidemeout {
  animation-duration: 3s;
  animation-name    : slideout;
}

@keyframes slideout {
  from {
    margin-left: -100%;
    width      : 100%;
  }

  to {
    margin-left: 0%;
    width      : 300%;
  }
}

